[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Changing SONAME in library version

On 07/05/12 13:53, Jérémy Lal wrote:
> On 07/05/2012 15:41, Olе Streicher wrote:
>> Dear mentors,
>> I am the maintainer of the package "cpl". Upstream just released a new
>> version 6.0 and changed the SONAME for the built libraries from 12 to
>> 20. So, the source now builds a package "libcplcore20" instead of
>> "libcplcore12". There are a few dependencies of other packages from
>> libcplcore12, which I all maintain myself (esorex and python-cpl).
>> The problem is now that I get migration excuses like
>> "out of date on i386: [...], libcplcore12, [...] (from 5.3.1-1)"
>> which I don't know how to handle. What is the usual way to get rid of
>> these? 
> Hi,
> i am in the same situation, and am learning this :
> http://wiki.debian.org/binNMU

In theory, you can simply have both packages installed concurrently.
The dependencies will use whichever one they want to use.

Reply to: